/* 
   File: dither.h

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.
   
   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


   Portions Copyright 2002, John Edwards <john.edwards33@ntlworld.com>

   mostly lifted from work by Frank Klemm
   random functions for dithering.
  
   dither header.
 */

#ifndef __DITHER_H
#define __DITHER_H

#ifdef __cplusplus
extern "C" {
#endif 

typedef struct {
	const float*  FilterCoeff;
	unsigned __int64      Mask;
	double        Add;
	float         Dither;
	float         ErrorHistory     [2] [16];       // max. 2 channels, 16th order Noise shaping
	float         DitherHistory    [2] [16];
	int           LastRandomNumber [2];
} dither_t;

extern dither_t            Dither;
extern double              doubletmp;
static const unsigned char Parity [256];
unsigned int               random_int ( void );
extern double              scalar16 ( const float* x, const float* y );
extern double              Random_Equi ( double mult );
extern double              Random_Triangular ( double mult );
void                       Init_Dither ( int bits, int shapingtype );

#ifdef __cplusplus
}
#endif 

#endif /* __DITHER_H */

