/* Copyright (C) 2002 John Edwards <john.edwards33@ntlworld.com>
   File: encthread.h

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.
   
   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 */

#ifndef __ENCTHREAD_H__
#define __ENCTHREAD_H__

void encthread_init(void);
void encthread_addfile(char *file);
void encthread_set_quality_coefficient(int quality);
void encthread_set_enc_complexity(int complexity);
void encthread_set_no_of_frames(int frames);
void encthread_set_max_bitrate(int max_br);
void encthread_set_abr_bitrate(int abr_br);
void encthread_set_enable_vbr(int vbr);
void encthread_set_enable_vad(int vad);
void encthread_set_enable_dtx(int dtx);
void encthread_set_delInput(int delInput);
void encthread_set_downmix(int downmix);
void encthread_set_resample_rate(int resample_rate);
void encthread_set_logerr(int logerr);
void decthread_set_volume(int manual_gain);
void decthread_set_limiter(int limiter);
void decthread_set_dither(int dither);
void decthread_set_decode_mode(int decode_mode);
void decthread_set_wav_format(int wav_format);
#endif
